import React from 'react';
import { Result, Button } from 'antd';
import { withRouter, RouteComponentProps } from 'react-router-dom';
const NotFoundPage: React.FC<RouteComponentProps> = ({ history }) => {
	return (
		<Result
			status='404'
			title='404'
			subTitle='对不起，您访问得页面不存在。'
			extra={
				<Button type='primary' onClick={() => history.goBack()}>
					返回
				</Button>
			}></Result>
	);
};
export default withRouter(NotFoundPage);
